| CMSIS-DSP Version 1.4.4 CMSIS DSP Software Library

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
arm_variance_example/ARM/RTE/Device/ARMCM0/system_ARMCM0.c File Reference

## Macros

#define | __HSI
#define | __XTAL
#define | __SYSTEM_CLOCK

## Functions

void | SystemCoreClockUpdate (void)
void | SystemInit (void)
| Setup the microcontroller system. Initialize the System.

## Variables

uint32_t | SystemCoreClock

## Macro Definition Documentation

#define __HSI

#define __SYSTEM_CLOCK

Referenced by SystemCoreClockUpdate(), and SystemInit().

#define __XTAL

## Function Documentation

void SystemCoreClockUpdate | ( | void |  | ) |

References __SYSTEM_CLOCK, and SystemCoreClock.

void SystemInit | ( | void |  | ) |

Initialize the system

Parameters

  none |

Returns
  none

References __SYSTEM_CLOCK, and SystemCoreClock.

## Variable Documentation

uint32_t SystemCoreClock

System Clock Frequency (Core Clock)